package com.ads.common.base;

import java.io.Serializable;

/**
 * @Return
 * @Author hou
 * @Date 2021/9/7 14:58
 * @Destription 分页请求包装
 */
public class BasePageRequest implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer page = 1;

    private Integer pageSize = 10;

    public Integer getStart() {
        return (this.page - 1) * pageSize;
    }

    public BasePageRequest() {
    }

    public BasePageRequest(Integer page, Integer pageSize) {
        this.page = page;
        this.pageSize = pageSize;
    }

    public Integer getPage() {
        return page;
    }

    public void setPage(Integer page) {
        this.page = page;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }
}
